Bug 1412484 - thunderbird lightning calendar sets off 100% cpu usage for Xorg
Summary: thunderbird lightning calendar sets off 100% cpu usage for Xorg
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 06:54 UTC by Mustafa Mehmed
Modified: 2017-08-08 19:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:33:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Mustafa Mehmed 2017-01-12 06:54:10 UTC
Description of problem:
When selecting "calendar" in thunderbird, OS slows right down, 100% cpu usage by Xorg and 25% cpu usage for thunderbird

Version-Release number of selected component (if applicable):
thunderbird-lightning-gdata-2.6.0.11-2.fc24.x86_64
thunderbird-enigmail-1.9.6.1-1.fc24.noarch
thunderbird-45.6.0-2.fc24.x86_64
kernel-4.8.15-200.fc24.x86_64
kmod-nvidia-4.8.15-200.fc24.x86_64-375.26-1.fc24.x86_64
xorg-x11-drv-nvidia-libs-375.26-6.fc24.x86_64
akmod-nvidia-375.26-1.fc24.x86_64
xorg-x11-drv-nvidia-kmodsrc-375.26-6.fc24.x86_64
xorg-x11-drv-nvidia-375.26-6.fc24.x86_64
xorg-x11-drv-nvidia-libs-375.26-6.fc24.i686


How reproducible:
Everytime calendar is selected from within thunderbird

Steps to Reproduce:
1. Start thunderbird
2. Select "Calendar" from under "Events and Tasks"
3. The thunderbird window is resized to much larger than the desktop size

Actual results:
1. Calendar window appears (no data)
2. The thunderbird window is resized much larger than desktop
3. System slows down with Xorg using 100% cpu and thunderbird using 25% of cpu
4. Calendar not usable
5. Have to "kill" thunderbird which starts OK without selecting calendar

Expected results:
Calendar to work as normally

Additional info:

Comment 1 Orion Poplawski 2017-01-12 18:05:13 UTC
lightning is bundled with thunderbird now.

Comment 2 Mustafa Mehmed 2017-01-12 22:09:40 UTC
(In reply to Orion Poplawski from comment #1)
> lightning is bundled with thunderbird now.

Thanks for the reply. What does this mean for me? How do I run thunderbird with the calendar at the same time? What rpms do I need to install/uninstall?

Comment 3 Mustafa Mehmed 2017-01-13 23:34:31 UTC
1. Erased lightning "dnf erase thunderbird-lightning-gdata"
2. Ran thunderbird
3. Selected "Calendar" from "Events and Tasks" menu
4. Same problems as described above
5. Cannot run calendar at all.

Comment 4 Mustafa Mehmed 2017-01-14 22:52:06 UTC
New packages have fixed the problem:-

thunderbird-lightning-gdata-2.6.0.11-3.fc24.x86_64
thunderbird-45.6.0-3.fc24.x86_64

The problem no longer exists. Thank you.

Comment 5 Fedora End Of Life 2017-07-26 00:11:02 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-08-08 19:33:48 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.